require 'English'

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

# Ensure we require the local version and not one we might have installed already
require File.join([File.dirname(__FILE__), 'lib', 'nexaas', 'cipher', 'version.rb'])

Gem::Specification.new do |spec|
  spec.name        = 'nexaas-cipher'
  spec.version     = Nexaas::Cipher::VERSION
  spec.authors     = ['Rodrigo Cacilhas']
  spec.email       = ['rodrigo.cacilhas@nexaas.com']
  spec.description = 'A Ruby client for the Nexaas ID REST API'
  spec.summary     = 'A Ruby client for the Nexaas ID REST API: https://id.nexaas.com/static/docs/'
  spec.homepage    = 'https://github.com/myfreecomm/nexaas-cipher-ruby'
  spec.license     = 'Apache-2.0'
  spec.has_rdoc    = true

  spec.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w[lib]

  # spec.add_dependency 'multi_json', '~> 1.11'

  spec.add_development_dependency 'bundler', '~> 1.9'
  spec.add_development_dependency "pry-byebug", "~> 3.6"
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rdoc', '~> 6.0'
  spec.add_development_dependency 'rspec', '~> 3.6'
end
